import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  CreateAnomalyMonitorRequest,
  CreateAnomalyMonitorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAnomalyMonitorCommandInput
  extends CreateAnomalyMonitorRequest {}
export interface CreateAnomalyMonitorCommandOutput
  extends CreateAnomalyMonitorResponse,
    __MetadataBearer {}
export declare class CreateAnomalyMonitorCommand extends $Command<
  CreateAnomalyMonitorCommandInput,
  CreateAnomalyMonitorCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: CreateAnomalyMonitorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAnomalyMonitorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAnomalyMonitorCommandInput,
    CreateAnomalyMonitorCommandOutput
  >;
  private serialize;
  private deserialize;
}
