import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetAnomalySubscriptionsRequest,
  GetAnomalySubscriptionsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetAnomalySubscriptionsCommandInput
  extends GetAnomalySubscriptionsRequest {}
export interface GetAnomalySubscriptionsCommandOutput
  extends GetAnomalySubscriptionsResponse,
    __MetadataBearer {}
export declare class GetAnomalySubscriptionsCommand extends $Command<
  GetAnomalySubscriptionsCommandInput,
  GetAnomalySubscriptionsCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetAnomalySubscriptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetAnomalySubscriptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetAnomalySubscriptionsCommandInput,
    GetAnomalySubscriptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
