import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CreateAnomalyMonitorCommandInput,
  CreateAnomalyMonitorCommandOutput,
} from "../commands/CreateAnomalyMonitorCommand";
import {
  CreateAnomalySubscriptionCommandInput,
  CreateAnomalySubscriptionCommandOutput,
} from "../commands/CreateAnomalySubscriptionCommand";
import {
  CreateCostCategoryDefinitionCommandInput,
  CreateCostCategoryDefinitionCommandOutput,
} from "../commands/CreateCostCategoryDefinitionCommand";
import {
  DeleteAnomalyMonitorCommandInput,
  DeleteAnomalyMonitorCommandOutput,
} from "../commands/DeleteAnomalyMonitorCommand";
import {
  DeleteAnomalySubscriptionCommandInput,
  DeleteAnomalySubscriptionCommandOutput,
} from "../commands/DeleteAnomalySubscriptionCommand";
import {
  DeleteCostCategoryDefinitionCommandInput,
  DeleteCostCategoryDefinitionCommandOutput,
} from "../commands/DeleteCostCategoryDefinitionCommand";
import {
  DescribeCostCategoryDefinitionCommandInput,
  DescribeCostCategoryDefinitionCommandOutput,
} from "../commands/DescribeCostCategoryDefinitionCommand";
import {
  GetAnomaliesCommandInput,
  GetAnomaliesCommandOutput,
} from "../commands/GetAnomaliesCommand";
import {
  GetAnomalyMonitorsCommandInput,
  GetAnomalyMonitorsCommandOutput,
} from "../commands/GetAnomalyMonitorsCommand";
import {
  GetAnomalySubscriptionsCommandInput,
  GetAnomalySubscriptionsCommandOutput,
} from "../commands/GetAnomalySubscriptionsCommand";
import {
  GetCostAndUsageCommandInput,
  GetCostAndUsageCommandOutput,
} from "../commands/GetCostAndUsageCommand";
import {
  GetCostAndUsageWithResourcesCommandInput,
  GetCostAndUsageWithResourcesCommandOutput,
} from "../commands/GetCostAndUsageWithResourcesCommand";
import {
  GetCostCategoriesCommandInput,
  GetCostCategoriesCommandOutput,
} from "../commands/GetCostCategoriesCommand";
import {
  GetCostForecastCommandInput,
  GetCostForecastCommandOutput,
} from "../commands/GetCostForecastCommand";
import {
  GetDimensionValuesCommandInput,
  GetDimensionValuesCommandOutput,
} from "../commands/GetDimensionValuesCommand";
import {
  GetReservationCoverageCommandInput,
  GetReservationCoverageCommandOutput,
} from "../commands/GetReservationCoverageCommand";
import {
  GetReservationPurchaseRecommendationCommandInput,
  GetReservationPurchaseRecommendationCommandOutput,
} from "../commands/GetReservationPurchaseRecommendationCommand";
import {
  GetReservationUtilizationCommandInput,
  GetReservationUtilizationCommandOutput,
} from "../commands/GetReservationUtilizationCommand";
import {
  GetRightsizingRecommendationCommandInput,
  GetRightsizingRecommendationCommandOutput,
} from "../commands/GetRightsizingRecommendationCommand";
import {
  GetSavingsPlansCoverageCommandInput,
  GetSavingsPlansCoverageCommandOutput,
} from "../commands/GetSavingsPlansCoverageCommand";
import {
  GetSavingsPlansPurchaseRecommendationCommandInput,
  GetSavingsPlansPurchaseRecommendationCommandOutput,
} from "../commands/GetSavingsPlansPurchaseRecommendationCommand";
import {
  GetSavingsPlansUtilizationCommandInput,
  GetSavingsPlansUtilizationCommandOutput,
} from "../commands/GetSavingsPlansUtilizationCommand";
import {
  GetSavingsPlansUtilizationDetailsCommandInput,
  GetSavingsPlansUtilizationDetailsCommandOutput,
} from "../commands/GetSavingsPlansUtilizationDetailsCommand";
import {
  GetTagsCommandInput,
  GetTagsCommandOutput,
} from "../commands/GetTagsCommand";
import {
  GetUsageForecastCommandInput,
  GetUsageForecastCommandOutput,
} from "../commands/GetUsageForecastCommand";
import {
  ListCostAllocationTagsCommandInput,
  ListCostAllocationTagsCommandOutput,
} from "../commands/ListCostAllocationTagsCommand";
import {
  ListCostCategoryDefinitionsCommandInput,
  ListCostCategoryDefinitionsCommandOutput,
} from "../commands/ListCostCategoryDefinitionsCommand";
import {
  ListSavingsPlansPurchaseRecommendationGenerationCommandInput,
  ListSavingsPlansPurchaseRecommendationGenerationCommandOutput,
} from "../commands/ListSavingsPlansPurchaseRecommendationGenerationCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ProvideAnomalyFeedbackCommandInput,
  ProvideAnomalyFeedbackCommandOutput,
} from "../commands/ProvideAnomalyFeedbackCommand";
import {
  StartSavingsPlansPurchaseRecommendationGenerationCommandInput,
  StartSavingsPlansPurchaseRecommendationGenerationCommandOutput,
} from "../commands/StartSavingsPlansPurchaseRecommendationGenerationCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAnomalyMonitorCommandInput,
  UpdateAnomalyMonitorCommandOutput,
} from "../commands/UpdateAnomalyMonitorCommand";
import {
  UpdateAnomalySubscriptionCommandInput,
  UpdateAnomalySubscriptionCommandOutput,
} from "../commands/UpdateAnomalySubscriptionCommand";
import {
  UpdateCostAllocationTagsStatusCommandInput,
  UpdateCostAllocationTagsStatusCommandOutput,
} from "../commands/UpdateCostAllocationTagsStatusCommand";
import {
  UpdateCostCategoryDefinitionCommandInput,
  UpdateCostCategoryDefinitionCommandOutput,
} from "../commands/UpdateCostCategoryDefinitionCommand";
export declare const se_CreateAnomalyMonitorCommand: (
  input: CreateAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAnomalySubscriptionCommand: (
  input: CreateAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCostCategoryDefinitionCommand: (
  input: CreateCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAnomalyMonitorCommand: (
  input: DeleteAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAnomalySubscriptionCommand: (
  input: DeleteAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCostCategoryDefinitionCommand: (
  input: DeleteCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCostCategoryDefinitionCommand: (
  input: DescribeCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAnomaliesCommand: (
  input: GetAnomaliesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAnomalyMonitorsCommand: (
  input: GetAnomalyMonitorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAnomalySubscriptionsCommand: (
  input: GetAnomalySubscriptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCostAndUsageCommand: (
  input: GetCostAndUsageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCostAndUsageWithResourcesCommand: (
  input: GetCostAndUsageWithResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCostCategoriesCommand: (
  input: GetCostCategoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCostForecastCommand: (
  input: GetCostForecastCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDimensionValuesCommand: (
  input: GetDimensionValuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetReservationCoverageCommand: (
  input: GetReservationCoverageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetReservationPurchaseRecommendationCommand: (
  input: GetReservationPurchaseRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetReservationUtilizationCommand: (
  input: GetReservationUtilizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRightsizingRecommendationCommand: (
  input: GetRightsizingRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSavingsPlansCoverageCommand: (
  input: GetSavingsPlansCoverageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSavingsPlansPurchaseRecommendationCommand: (
  input: GetSavingsPlansPurchaseRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSavingsPlansUtilizationCommand: (
  input: GetSavingsPlansUtilizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSavingsPlansUtilizationDetailsCommand: (
  input: GetSavingsPlansUtilizationDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTagsCommand: (
  input: GetTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetUsageForecastCommand: (
  input: GetUsageForecastCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCostAllocationTagsCommand: (
  input: ListCostAllocationTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCostCategoryDefinitionsCommand: (
  input: ListCostCategoryDefinitionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSavingsPlansPurchaseRecommendationGenerationCommand: (
  input: ListSavingsPlansPurchaseRecommendationGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ProvideAnomalyFeedbackCommand: (
  input: ProvideAnomalyFeedbackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartSavingsPlansPurchaseRecommendationGenerationCommand: (
  input: StartSavingsPlansPurchaseRecommendationGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAnomalyMonitorCommand: (
  input: UpdateAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAnomalySubscriptionCommand: (
  input: UpdateAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCostAllocationTagsStatusCommand: (
  input: UpdateCostAllocationTagsStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCostCategoryDefinitionCommand: (
  input: UpdateCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CreateAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAnomalyMonitorCommandOutput>;
export declare const de_CreateAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAnomalySubscriptionCommandOutput>;
export declare const de_CreateCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCostCategoryDefinitionCommandOutput>;
export declare const de_DeleteAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAnomalyMonitorCommandOutput>;
export declare const de_DeleteAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAnomalySubscriptionCommandOutput>;
export declare const de_DeleteCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCostCategoryDefinitionCommandOutput>;
export declare const de_DescribeCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCostCategoryDefinitionCommandOutput>;
export declare const de_GetAnomaliesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomaliesCommandOutput>;
export declare const de_GetAnomalyMonitorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomalyMonitorsCommandOutput>;
export declare const de_GetAnomalySubscriptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomalySubscriptionsCommandOutput>;
export declare const de_GetCostAndUsageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostAndUsageCommandOutput>;
export declare const de_GetCostAndUsageWithResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostAndUsageWithResourcesCommandOutput>;
export declare const de_GetCostCategoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostCategoriesCommandOutput>;
export declare const de_GetCostForecastCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostForecastCommandOutput>;
export declare const de_GetDimensionValuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDimensionValuesCommandOutput>;
export declare const de_GetReservationCoverageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationCoverageCommandOutput>;
export declare const de_GetReservationPurchaseRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationPurchaseRecommendationCommandOutput>;
export declare const de_GetReservationUtilizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationUtilizationCommandOutput>;
export declare const de_GetRightsizingRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRightsizingRecommendationCommandOutput>;
export declare const de_GetSavingsPlansCoverageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansCoverageCommandOutput>;
export declare const de_GetSavingsPlansPurchaseRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansPurchaseRecommendationCommandOutput>;
export declare const de_GetSavingsPlansUtilizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansUtilizationCommandOutput>;
export declare const de_GetSavingsPlansUtilizationDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansUtilizationDetailsCommandOutput>;
export declare const de_GetTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTagsCommandOutput>;
export declare const de_GetUsageForecastCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUsageForecastCommandOutput>;
export declare const de_ListCostAllocationTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCostAllocationTagsCommandOutput>;
export declare const de_ListCostCategoryDefinitionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCostCategoryDefinitionsCommandOutput>;
export declare const de_ListSavingsPlansPurchaseRecommendationGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ProvideAnomalyFeedbackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ProvideAnomalyFeedbackCommandOutput>;
export declare const de_StartSavingsPlansPurchaseRecommendationGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAnomalyMonitorCommandOutput>;
export declare const de_UpdateAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAnomalySubscriptionCommandOutput>;
export declare const de_UpdateCostAllocationTagsStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCostAllocationTagsStatusCommandOutput>;
export declare const de_UpdateCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCostCategoryDefinitionCommandOutput>;
